Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IParticleOnPlaneGeo

    java.lang.Object
      igeo.IDynamicsBase
          igeo.IParticleGeo
              igeo.IParticleOnPlaneGeo

All Implemented Interfaces:
  IArithmeticVal<IVecI,IDoubleI>, IDynamics, IParameter, IParticleI, ISubobject, ITransformable, IVal, IVecI, IVecOp

    public class IParticleOnPlaneGeo

extends IParticleGeo

Class of an implementation of IDynamics to have physical attributes of point on a plane.

Author:
  Satoru Sugihara

Field Summary
`IVecI` | `planeDir`
`IVecI` | `planePt`

Fields inherited from class igeo.IParticleGeo
`defaultFriction, fixed, frc, friction, mass, pos, skipUpdateOnce, vel`

Fields inherited from class igeo.IDynamicsBase
`parent, targets`

Constructor Summary
`IParticleOnPlaneGeo(IParticleOnPlaneGeo p)`
`IParticleOnPlaneGeo(IVecI planeDir, IVecI planePt, IVecI pos)`
`IParticleOnPlaneGeo(IVecI planeDir, IVecI planePt, IVecI pos, IObject parent)`
`IParticleOnPlaneGeo(IVecI planeDir, IVecI planePt, IVecI pos, IVecI vel)`
`IParticleOnPlaneGeo(IVecI planeDir, IVecI planePt, IVecI pos, IVecI vel, IObject parent)`

Method Summary
`IParticleOnPlaneGeo` | `add(double x, double y, double z)`
`IParticleOnPlaneGeo` | `add(double f, IVecI v)` scale add
`IParticleOnPlaneGeo` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleOnPlaneGeo` | `add(IDoubleI f, IVecI v)` scale add
`IParticleOnPlaneGeo` | `add(IVecI v)`
`IParticleOnPlaneGeo` | `add(IVecI v, double f)` scale add
`IParticleOnPlaneGeo` | `add(IVecI v, IDoubleI f)` scale add
`IParticleOnPlaneGeo` | `addForce(IVecI f)` adding force (alias of push)
`IParticleOnPlaneGeo` | `cp()` cp() is alias of dup()
`IParticleOnPlaneGeo` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`IParticleOnPlaneGeo` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)` cp() is alias of dup().add()
`IParticleOnPlaneGeo` | `cp(IVecI v)` cp() is alias of dup().add()
`IParticleOnPlaneGeo` | `decay(double d)`
`IParticleOnPlaneGeo` | `div(double v)`
`IParticleOnPlaneGeo` | `div(IDoubleI v)`
`IParticleOnPlaneGeo` | `dup()` duplicate the instance
`IParticleOnPlaneGeo` | `fix()` fix movement
`IParticleOnPlaneGeo` | `flip()` alias of neg()
`IParticleOnPlaneGeo` | `force(IVecI v)` set force
`IParticleOnPlaneGeo` | `frc(IVecI v)` set force
`IParticleOnPlaneGeo` | `fric(double friction)` set friction
`IParticleOnPlaneGeo` | `friction(double friction)` set friction
`IParticleOnPlaneGeo` | `mass(double mass)` set mass
`IParticleOnPlaneGeo` | `mirror(double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlaneGeo` | `mirror(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlaneGeo` | `mirror(IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlaneGeo` | `mirror(IVecI center, IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlaneGeo` | `mul(double v)`
`IParticleOnPlaneGeo` | `mul(IDoubleI v)`
`IParticleOnPlaneGeo` | `mv(double x, double y, double z)` mv() is alias of add()
`IParticleOnPlaneGeo` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)` mv() is alias of add()
`IParticleOnPlaneGeo` | `mv(IVecI v)` mv() is alias of add()
`IParticleOnPlaneGeo` | `neg()`
`IParticleOnPlaneGeo` | `pos(IVecI v)` set position
`IParticleOnPlaneGeo` | `position(IVecI v)` set position
`void` | `postupdate()` this is changed again because force in update cannot be reflected (updated 2014/03/10)
`void` | `preupdate()` update of velocity is done in preupdate (updated 2012/08/26)
`IParticleOnPlaneGeo` | `pull(IVecI f)` adding negative force
`IParticleOnPlaneGeo` | `push(IVecI f)` adding force
`IParticleOnPlaneGeo` | `ref(double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlaneGeo` | `ref(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlaneGeo` | `ref(IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlaneGeo` | `ref(IVecI center, IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlaneGeo` | `reset()` setting force zero
`IParticleOnPlaneGeo` | `resetForce()` setting force zero (alias of reset())
`IParticleOnPlaneGeo` | `rev()` alias of neg()
`IParticleOnPlaneGeo` | `rot(double angle)` rotation on XY plane
`IParticleOnPlaneGeo` | `rot(double axisX, double axisY, double axisZ, double angle)` rotation around axis vector
`IParticleOnPlaneGeo` | `rot(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double angle)` rotation around axis vector and center point
`IParticleOnPlaneGeo` | `rot(IDoubleI angle)` rotation on XY plane
`IParticleOnPlaneGeo` | `rot(IVecI axis, double angle)` rotation around axis vector
`IParticleOnPlaneGeo` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
`IParticleOnPlaneGeo` | `rot(IVecI axis, IVecI destDir)` Rotate to destination direction vector.
`IParticleOnPlaneGeo` | `rot(IVecI center, IVecI axis, double angle)` rotation around axis vector and center point
`IParticleOnPlaneGeo` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center point
`IParticleOnPlaneGeo` | `rot(IVecI center, IVecI axis, IVecI destPt)` Rotate to destination point location.
`IParticleOnPlaneGeo` | `rot2(double angle)` rotation on xy-plane; alias of rot(double)
`IParticleOnPlaneGeo` | `rot2(double centerX, double centerY, double angle)` rotation on xy-plane
`IParticleOnPlaneGeo` | `rot2(IDoubleI angle)` rotation on xy-plane; alias of rot(IDoubleI)
`IParticleOnPlaneGeo` | `rot2(IVecI destDir)` rotation on xy-plane towards destDir
`IParticleOnPlaneGeo` | `rot2(IVecI center, double angle)` rotation on xy-plane
`IParticleOnPlaneGeo` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane
`IParticleOnPlaneGeo` | `rot2(IVecI center, IVecI destPt)` rotation on xy-plane towards destPt
`IParticleOnPlaneGeo` | `scale(double f)` alias of mul
`IParticleOnPlaneGeo` | `scale(double centerX, double centerY, double centerZ, double f)` scale from a center
`IParticleOnPlaneGeo` | `scale(IDoubleI f)` alias of mul
`IParticleOnPlaneGeo` | `scale(IVecI center, double f)` scale from a center
`IParticleOnPlaneGeo` | `scale(IVecI center, IDoubleI f)` scale from a center
`IParticleOnPlaneGeo` | `scale1d(double axisX, double axisY, double axisZ, double f)` scale only in 1 direction
`IParticleOnPlaneGeo` | `scale1d(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double f)` scale only in 1 direction from a center
`IParticleOnPlaneGeo` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`IParticleOnPlaneGeo` | `scale1d(IVecI axis, IDoubleI f)` scale only in 1 direction
`IParticleOnPlaneGeo` | `scale1d(IVecI center, IVecI axis, double f)` scale only in 1 direction from a center
`IParticleOnPlaneGeo` | `scale1d(IVecI center, IVecI axis, IDoubleI f)` scale only in 1 direction from a center
`IParticleOnPlaneGeo` | `set(double x, double y, double z)`
`IParticleOnPlaneGeo` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleOnPlaneGeo` | `set(IVecI v)`
`IParticleOnPlaneGeo` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IParticleOnPlaneGeo` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IParticleOnPlaneGeo` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IParticleOnPlaneGeo` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IParticleOnPlaneGeo` | `shearXY(double sxy, double syx)` shear operation on XY
`IParticleOnPlaneGeo` | `shearXY(IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IParticleOnPlaneGeo` | `shearXY(IVecI center, double sxy, double syx)` shear operation on XY
`IParticleOnPlaneGeo` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IParticleOnPlaneGeo` | `shearYZ(double syz, double szy)` shear operation on YZ
`IParticleOnPlaneGeo` | `shearYZ(IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IParticleOnPlaneGeo` | `shearYZ(IVecI center, double syz, double szy)` shear operation on YZ
`IParticleOnPlaneGeo` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IParticleOnPlaneGeo` | `shearZX(double szx, double sxz)` shear operation on ZX
`IParticleOnPlaneGeo` | `shearZX(IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IParticleOnPlaneGeo` | `shearZX(IVecI center, double szx, double sxz)` shear operation on ZX
`IParticleOnPlaneGeo` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IParticleOnPlaneGeo` | `skipUpdateOnce(boolean f)` for other agent to control particle
`IParticleOnPlaneGeo` | `sub(double x, double y, double z)`
`IParticleOnPlaneGeo` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleOnPlaneGeo` | `sub(IVecI v)`
`IParticleOnPlaneGeo` | `transform(IMatrix3I mat)` transform with a transformation matrix
`IParticleOnPlaneGeo` | `transform(IMatrix4I mat)` transform with a transformation matrix
`IParticleOnPlaneGeo` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)` transform with a transformation vectors
`IParticleOnPlaneGeo` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)` transform with a transformation vectors
`IParticleOnPlaneGeo` | `translate(double x, double y, double z)` translate is alias of add()
`IParticleOnPlaneGeo` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)` alias of add()
`IParticleOnPlaneGeo` | `translate(IVecI v)` alias of add()
`IParticleOnPlaneGeo` | `unfix()` unfix movement
`IParticleOnPlaneGeo` | `unit()` unitize
`void` | `update()` update of velocity is done in preupdate and update of position is done in update() (updated 2012/08/26)
`IParticleOnPlaneGeo` | `vel(IVecI v)` set velocity
`IParticleOnPlaneGeo` | `velocity(IVecI v)` set velocity
`IParticleOnPlaneGeo` | `x(double vx)` implementation of IVecI
`IParticleOnPlaneGeo` | `x(IDoubleI vx)` setting x component
`IParticleOnPlaneGeo` | `x(IVec2I vx)` setting x component by x component of input vector
`IParticleOnPlaneGeo` | `x(IVecI vx)` setting x component by x component of input vector
`IParticleOnPlaneGeo` | `y(double vy)` setting y component
`IParticleOnPlaneGeo` | `y(IDoubleI vy)` setting y component
`IParticleOnPlaneGeo` | `y(IVec2I vy)` setting y component by y component of input vector
`IParticleOnPlaneGeo` | `y(IVecI vy)` setting y component by y component of input vector
`IParticleOnPlaneGeo` | `z(double vz)` setting z component
`IParticleOnPlaneGeo` | `z(IDoubleI vz)` setting z component
`IParticleOnPlaneGeo` | `z(IVecI vz)` setting z component by z component of input vector
`IParticleOnPlaneGeo` | `zero()` setting all zero

Methods inherited from class igeo.IParticleGeo
`acc, acceleration, addForce, angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, cross, cross, decay, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, fixed, force, frc, fric, friction, get, getX, getY, getZ, initParticle, initParticle, initParticle, isValid, len, len, len, len, len, len2, len2, len2, mass, mid, mid, nml, nml, nml, nml, pos, position, pull, push, removeTarget, removeTarget, skipUpdateOnce, sum, sum, sum, sum, sum, sum, sum, target, to2d, to2d, to2d, to2d, to4d, to4d, to4d, toString, vel, velocity, x, x, x, y, y, y, z, z, z`

Methods inherited from class igeo.IDynamicsBase
`initDynamicsBase, initDynamicsBase, initDynamicsBase, interact, localDynamics, parent, parent, postinteract, preinteract, target, targetNum, targets, updateTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface igeo.IParticleI
`target, targetNum, targets, updateTarget`

Field Detail

### planeDir

    public IVecI planeDir

### planePt

    public IVecI planePt

Constructor Detail

### IParticleOnPlaneGeo

    public IParticleOnPlaneGeo(IVecI planeDir,
                               IVecI planePt,
                               IVecI pos,
                               IVecI vel)

### IParticleOnPlaneGeo

    public IParticleOnPlaneGeo(IVecI planeDir,
                               IVecI planePt,
                               IVecI pos)

### IParticleOnPlaneGeo

    public IParticleOnPlaneGeo(IVecI planeDir,
                               IVecI planePt,
                               IVecI pos,
                               IVecI vel,
                               IObject parent)

### IParticleOnPlaneGeo

    public IParticleOnPlaneGeo(IVecI planeDir,
                               IVecI planePt,
                               IVecI pos,
                               IObject parent)

### IParticleOnPlaneGeo

    public IParticleOnPlaneGeo(IParticleOnPlaneGeo p)

Method Detail

### dup

    public IParticleOnPlaneGeo dup()

  Description copied from interface: `ITransformable`
  duplicate the instance

  Specified by:
    `dup` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `dup` in interface `ITransformable`
  Specified by:
    `dup` in interface `IVecI`
  Overrides:
    `dup` in class `IParticleGeo`

### fix

    public IParticleOnPlaneGeo fix()

  Description copied from interface: `IParticleI`
  fix movement

  Specified by:
    `fix` in interface `IParticleI`
  Overrides:
    `fix` in class `IParticleGeo`

### unfix

    public IParticleOnPlaneGeo unfix()

  Description copied from interface: `IParticleI`
  unfix movement

  Specified by:
    `unfix` in interface `IParticleI`
  Overrides:
    `unfix` in class `IParticleGeo`

### skipUpdateOnce

    public IParticleOnPlaneGeo skipUpdateOnce(boolean f)

  Description copied from class: `IParticleGeo`
  for other agent to control particle

  Specified by:
    `skipUpdateOnce` in interface `IParticleI`
  Overrides:
    `skipUpdateOnce` in class `IParticleGeo`

### mass

    public IParticleOnPlaneGeo mass(double mass)

  Description copied from interface: `IParticleI`
  set mass

  Specified by:
    `mass` in interface `IParticleI`
  Overrides:
    `mass` in class `IParticleGeo`

### position

    public IParticleOnPlaneGeo position(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `position` in interface `IParticleI`
  Overrides:
    `position` in class `IParticleGeo`

### pos

    public IParticleOnPlaneGeo pos(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `pos` in interface `IParticleI`
  Overrides:
    `pos` in class `IParticleGeo`

### velocity

    public IParticleOnPlaneGeo velocity(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `velocity` in interface `IParticleI`
  Overrides:
    `velocity` in class `IParticleGeo`

### vel

    public IParticleOnPlaneGeo vel(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `vel` in interface `IParticleI`
  Overrides:
    `vel` in class `IParticleGeo`

### force

    public IParticleOnPlaneGeo force(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `force` in interface `IParticleI`
  Overrides:
    `force` in class `IParticleGeo`

### frc

    public IParticleOnPlaneGeo frc(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `frc` in interface `IParticleI`
  Overrides:
    `frc` in class `IParticleGeo`

### friction

    public IParticleOnPlaneGeo friction(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `friction` in interface `IParticleI`
  Overrides:
    `friction` in class `IParticleGeo`

### fric

    public IParticleOnPlaneGeo fric(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `fric` in interface `IParticleI`
  Overrides:
    `fric` in class `IParticleGeo`

### decay

    public IParticleOnPlaneGeo decay(double d)

  Specified by:
    `decay` in interface `IParticleI`
  Overrides:
    `decay` in class `IParticleGeo`

### push

    public IParticleOnPlaneGeo push(IVecI f)

  Description copied from class: `IParticleGeo`
  adding force

  Specified by:
    `push` in interface `IParticleI`
  Overrides:
    `push` in class `IParticleGeo`

### pull

    public IParticleOnPlaneGeo pull(IVecI f)

  Description copied from class: `IParticleGeo`
  adding negative force

  Specified by:
    `pull` in interface `IParticleI`
  Overrides:
    `pull` in class `IParticleGeo`

### addForce

    public IParticleOnPlaneGeo addForce(IVecI f)

  Description copied from class: `IParticleGeo`
  adding force (alias of push)

  Specified by:
    `addForce` in interface `IParticleI`
  Overrides:
    `addForce` in class `IParticleGeo`

### reset

    public IParticleOnPlaneGeo reset()

  Description copied from class: `IParticleGeo`
  setting force zero

  Specified by:
    `reset` in interface `IParticleI`
  Overrides:
    `reset` in class `IParticleGeo`

### resetForce

    public IParticleOnPlaneGeo resetForce()

  Description copied from class: `IParticleGeo`
  setting force zero (alias of reset())

  Specified by:
    `resetForce` in interface `IParticleI`
  Overrides:
    `resetForce` in class `IParticleGeo`

### preupdate

    public void preupdate()

  update of velocity is done in preupdate (updated 2012/08/26)

  Specified by:
    `preupdate` in interface `IDynamics`
  Overrides:
    `preupdate` in class `IParticleGeo`

### update

    public void update()

  update of velocity is done in preupdate and update of position is done in update() (updated 2012/08/26)

  Specified by:
    `update` in interface `IDynamics`
  Overrides:
    `update` in class `IParticleGeo`

### postupdate

    public void postupdate()

  Description copied from class: `IParticleGeo`
  this is changed again because force in update cannot be reflected (updated 2014/03/10)

  Specified by:
    `postupdate` in interface `IDynamics`
  Overrides:
    `postupdate` in class `IParticleGeo`

### x

    public IParticleOnPlaneGeo x(double vx)

  implementation of IVecI

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IParticleGeo`

### y

    public IParticleOnPlaneGeo y(double vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IParticleGeo`

### z

    public IParticleOnPlaneGeo z(double vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IParticleGeo`

### x

    public IParticleOnPlaneGeo x(IDoubleI vx)

  Description copied from interface: `IVecI`
  setting x component

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IParticleGeo`

### y

    public IParticleOnPlaneGeo y(IDoubleI vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IParticleGeo`

### z

    public IParticleOnPlaneGeo z(IDoubleI vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IParticleGeo`

### x

    public IParticleOnPlaneGeo x(IVecI vx)

  Description copied from class: `IParticleGeo`
  setting x component by x component of input vector

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IParticleGeo`

### y

    public IParticleOnPlaneGeo y(IVecI vy)

  Description copied from class: `IParticleGeo`
  setting y component by y component of input vector

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IParticleGeo`

### z

    public IParticleOnPlaneGeo z(IVecI vz)

  Description copied from class: `IParticleGeo`
  setting z component by z component of input vector

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IParticleGeo`

### x

    public IParticleOnPlaneGeo x(IVec2I vx)

  Description copied from class: `IParticleGeo`
  setting x component by x component of input vector

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IParticleGeo`

### y

    public IParticleOnPlaneGeo y(IVec2I vy)

  Description copied from class: `IParticleGeo`
  setting y component by y component of input vector

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IParticleGeo`

### set

    public IParticleOnPlaneGeo set(IVecI v)

  Specified by:
    `set` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticleGeo`

### set

    public IParticleOnPlaneGeo set(double x,
                                   double y,
                                   double z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticleGeo`

### set

    public IParticleOnPlaneGeo set(IDoubleI x,
                                   IDoubleI y,
                                   IDoubleI z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticleGeo`

### add

    public IParticleOnPlaneGeo add(double x,
                                   double y,
                                   double z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleGeo`

### add

    public IParticleOnPlaneGeo add(IDoubleI x,
                                   IDoubleI y,
                                   IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleGeo`

### add

    public IParticleOnPlaneGeo add(IVecI v)

  Specified by:
    `add` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleGeo`

### sub

    public IParticleOnPlaneGeo sub(double x,
                                   double y,
                                   double z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticleGeo`

### sub

    public IParticleOnPlaneGeo sub(IDoubleI x,
                                   IDoubleI y,
                                   IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticleGeo`

### sub

    public IParticleOnPlaneGeo sub(IVecI v)

  Specified by:
    `sub` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticleGeo`

### mul

    public IParticleOnPlaneGeo mul(IDoubleI v)

  Specified by:
    `mul` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IParticleGeo`

### mul

    public IParticleOnPlaneGeo mul(double v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IParticleGeo`

### div

    public IParticleOnPlaneGeo div(IDoubleI v)

  Specified by:
    `div` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IParticleGeo`

### div

    public IParticleOnPlaneGeo div(double v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IParticleGeo`

### neg

    public IParticleOnPlaneGeo neg()

  Specified by:
    `neg` in interface `ITransformable`
  Specified by:
    `neg` in interface `IVecI`
  Overrides:
    `neg` in class `IParticleGeo`

### rev

    public IParticleOnPlaneGeo rev()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `rev` in interface `IVecI`
  Overrides:
    `rev` in class `IParticleGeo`

### flip

    public IParticleOnPlaneGeo flip()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `flip` in interface `ITransformable`
  Specified by:
    `flip` in interface `IVecI`
  Overrides:
    `flip` in class `IParticleGeo`

### zero

    public IParticleOnPlaneGeo zero()

  Description copied from interface: `IVecI`
  setting all zero

  Specified by:
    `zero` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `zero` in interface `IVecI`
  Overrides:
    `zero` in class `IParticleGeo`

### add

    public IParticleOnPlaneGeo add(IVecI v,
                                   double f)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleGeo`

### add

    public IParticleOnPlaneGeo add(IVecI v,
                                   IDoubleI f)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleGeo`

### add

    public IParticleOnPlaneGeo add(double f,
                                   IVecI v)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleGeo`

### add

    public IParticleOnPlaneGeo add(IDoubleI f,
                                   IVecI v)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleGeo`

### unit

    public IParticleOnPlaneGeo unit()

  Description copied from interface: `IVecI`
  unitize

  Specified by:
    `unit` in interface `IVecI`
  Overrides:
    `unit` in class `IParticleGeo`

### rot

    public IParticleOnPlaneGeo rot(IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleGeo`

### rot

    public IParticleOnPlaneGeo rot(double angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleGeo`

### rot

    public IParticleOnPlaneGeo rot(IVecI axis,
                                   IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleGeo`

### rot

    public IParticleOnPlaneGeo rot(IVecI axis,
                                   double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleGeo`

### rot

    public IParticleOnPlaneGeo rot(double axisX,
                                   double axisY,
                                   double axisZ,
                                   double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleGeo`

### rot

    public IParticleOnPlaneGeo rot(IVecI center,
                                   IVecI axis,
                                   double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleGeo`

### rot

    public IParticleOnPlaneGeo rot(IVecI center,
                                   IVecI axis,
                                   IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleGeo`

### rot

    public IParticleOnPlaneGeo rot(double centerX,
                                   double centerY,
                                   double centerZ,
                                   double axisX,
                                   double axisY,
                                   double axisZ,
                                   double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleGeo`

### rot

    public IParticleOnPlaneGeo rot(IVecI axis,
                                   IVecI destDir)

  Rotate to destination direction vector.

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleGeo`

### rot

    public IParticleOnPlaneGeo rot(IVecI center,
                                   IVecI axis,
                                   IVecI destPt)

  Rotate to destination point location.

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleGeo`

### rot2

    public IParticleOnPlaneGeo rot2(double angle)

  rotation on xy-plane; alias of rot(double)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticleGeo`

### rot2

    public IParticleOnPlaneGeo rot2(IDoubleI angle)

  rotation on xy-plane; alias of rot(IDoubleI)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticleGeo`

### rot2

    public IParticleOnPlaneGeo rot2(IVecI center,
                                    double angle)

  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticleGeo`

### rot2

    public IParticleOnPlaneGeo rot2(IVecI center,
                                    IDoubleI angle)

  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticleGeo`

### rot2

    public IParticleOnPlaneGeo rot2(double centerX,
                                    double centerY,
                                    double angle)

  rotation on xy-plane

  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticleGeo`

### rot2

    public IParticleOnPlaneGeo rot2(IVecI destDir)

  rotation on xy-plane towards destDir

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticleGeo`

### rot2

    public IParticleOnPlaneGeo rot2(IVecI center,
                                    IVecI destPt)

  rotation on xy-plane towards destPt

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticleGeo`

### scale

    public IParticleOnPlaneGeo scale(IDoubleI f)

  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticleGeo`

### scale

    public IParticleOnPlaneGeo scale(double f)

  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticleGeo`

### scale

    public IParticleOnPlaneGeo scale(IVecI center,
                                     IDoubleI f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticleGeo`

### scale

    public IParticleOnPlaneGeo scale(IVecI center,
                                     double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticleGeo`

### scale

    public IParticleOnPlaneGeo scale(double centerX,
                                     double centerY,
                                     double centerZ,
                                     double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticleGeo`

### scale1d

    public IParticleOnPlaneGeo scale1d(IVecI axis,
                                       double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticleGeo`

### scale1d

    public IParticleOnPlaneGeo scale1d(IVecI axis,
                                       IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticleGeo`

### scale1d

    public IParticleOnPlaneGeo scale1d(double axisX,
                                       double axisY,
                                       double axisZ,
                                       double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticleGeo`

### scale1d

    public IParticleOnPlaneGeo scale1d(IVecI center,
                                       IVecI axis,
                                       double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticleGeo`

### scale1d

    public IParticleOnPlaneGeo scale1d(IVecI center,
                                       IVecI axis,
                                       IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticleGeo`

### scale1d

    public IParticleOnPlaneGeo scale1d(double centerX,
                                       double centerY,
                                       double centerZ,
                                       double axisX,
                                       double axisY,
                                       double axisZ,
                                       double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticleGeo`

### ref

    public IParticleOnPlaneGeo ref(IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticleGeo`

### ref

    public IParticleOnPlaneGeo ref(double planeX,
                                   double planeY,
                                   double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticleGeo`

### ref

    public IParticleOnPlaneGeo ref(IVecI center,
                                   IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticleGeo`

### ref

    public IParticleOnPlaneGeo ref(double centerX,
                                   double centerY,
                                   double centerZ,
                                   double planeX,
                                   double planeY,
                                   double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticleGeo`

### mirror

    public IParticleOnPlaneGeo mirror(IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticleGeo`

### mirror

    public IParticleOnPlaneGeo mirror(double planeX,
                                      double planeY,
                                      double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticleGeo`

### mirror

    public IParticleOnPlaneGeo mirror(IVecI center,
                                      IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticleGeo`

### mirror

    public IParticleOnPlaneGeo mirror(double centerX,
                                      double centerY,
                                      double centerZ,
                                      double planeX,
                                      double planeY,
                                      double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticleGeo`

### shear

    public IParticleOnPlaneGeo shear(double sxy,
                                     double syx,
                                     double syz,
                                     double szy,
                                     double szx,
                                     double sxz)

  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticleGeo`

### shear

    public IParticleOnPlaneGeo shear(IDoubleI sxy,
                                     IDoubleI syx,
                                     IDoubleI syz,
                                     IDoubleI szy,
                                     IDoubleI szx,
                                     IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticleGeo`

### shear

    public IParticleOnPlaneGeo shear(IVecI center,
                                     double sxy,
                                     double syx,
                                     double syz,
                                     double szy,
                                     double szx,
                                     double sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticleGeo`

### shear

    public IParticleOnPlaneGeo shear(IVecI center,
                                     IDoubleI sxy,
                                     IDoubleI syx,
                                     IDoubleI syz,
                                     IDoubleI szy,
                                     IDoubleI szx,
                                     IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticleGeo`

### shearXY

    public IParticleOnPlaneGeo shearXY(double sxy,
                                       double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticleGeo`

### shearXY

    public IParticleOnPlaneGeo shearXY(IDoubleI sxy,
                                       IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticleGeo`

### shearXY

    public IParticleOnPlaneGeo shearXY(IVecI center,
                                       double sxy,
                                       double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticleGeo`

### shearXY

    public IParticleOnPlaneGeo shearXY(IVecI center,
                                       IDoubleI sxy,
                                       IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticleGeo`

### shearYZ

    public IParticleOnPlaneGeo shearYZ(double syz,
                                       double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticleGeo`

### shearYZ

    public IParticleOnPlaneGeo shearYZ(IDoubleI syz,
                                       IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticleGeo`

### shearYZ

    public IParticleOnPlaneGeo shearYZ(IVecI center,
                                       double syz,
                                       double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticleGeo`

### shearYZ

    public IParticleOnPlaneGeo shearYZ(IVecI center,
                                       IDoubleI syz,
                                       IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticleGeo`

### shearZX

    public IParticleOnPlaneGeo shearZX(double szx,
                                       double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticleGeo`

### shearZX

    public IParticleOnPlaneGeo shearZX(IDoubleI szx,
                                       IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticleGeo`

### shearZX

    public IParticleOnPlaneGeo shearZX(IVecI center,
                                       double szx,
                                       double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticleGeo`

### shearZX

    public IParticleOnPlaneGeo shearZX(IVecI center,
                                       IDoubleI szx,
                                       IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticleGeo`

### translate

    public IParticleOnPlaneGeo translate(double x,
                                         double y,
                                         double z)

  translate is alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticleGeo`

### translate

    public IParticleOnPlaneGeo translate(IDoubleI x,
                                         IDoubleI y,
                                         IDoubleI z)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticleGeo`

### translate

    public IParticleOnPlaneGeo translate(IVecI v)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticleGeo`

### transform

    public IParticleOnPlaneGeo transform(IMatrix3I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticleGeo`

### transform

    public IParticleOnPlaneGeo transform(IMatrix4I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticleGeo`

### transform

    public IParticleOnPlaneGeo transform(IVecI xvec,
                                         IVecI yvec,
                                         IVecI zvec)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticleGeo`

### transform

    public IParticleOnPlaneGeo transform(IVecI xvec,
                                         IVecI yvec,
                                         IVecI zvec,
                                         IVecI translate)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticleGeo`

### mv

    public IParticleOnPlaneGeo mv(double x,
                                  double y,
                                  double z)

  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticleGeo`

### mv

    public IParticleOnPlaneGeo mv(IDoubleI x,
                                  IDoubleI y,
                                  IDoubleI z)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticleGeo`

### mv

    public IParticleOnPlaneGeo mv(IVecI v)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticleGeo`

### cp

    public IParticleOnPlaneGeo cp()

  cp() is alias of dup()

  Specified by:
    `cp` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticleGeo`

### cp

    public IParticleOnPlaneGeo cp(double x,
                                  double y,
                                  double z)

  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticleGeo`

### cp

    public IParticleOnPlaneGeo cp(IDoubleI x,
                                  IDoubleI y,
                                  IDoubleI z)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticleGeo`

### cp

    public IParticleOnPlaneGeo cp(IVecI v)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticleGeo`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD